---
updatedAt: 2026-05-27T08:50:14.000Z
agentTools:
  projectIndex: https://docs.tatum.io/llms.txt
---

# getShards

Get shards information.

# OpenAPI definition

```json
{
  "paths": {
    "/shards": {
      "get": {
        "tags": [
          "The Open Network (TON) - HTTP API (V2)"
        ],
        "summary": "getShards",
        "description": "Get shards information.",
        "operationId": "rpc-ton-get_shards",
        "parameters": [
          {
            "description": "Masterchain seqno to fetch shards of.",
            "required": true,
            "schema": {
              "type": "integer",
              "title": "Seqno",
              "description": "Masterchain seqno to fetch shards of."
            },
            "name": "seqno",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful Response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/TonResponse"
                }
              }
            }
          },
          "422": {
            "description": "Validation Error"
          },
          "504": {
            "description": "Lite Server Timeout"
          }
        },
        "x-readme": {
          "code-samples": [
            {
              "language": "javascript",
              "code": "// yarn add @tatumio/tatum\n\nimport { TatumSDK, Ton, Network } from \"@tatumio/tatum\";\n\nconst tatum = await TatumSDK.init<Ton>({ network: Network.TON });\n\nconst shards = await tatum.rpc.getShards({\n  seqno: 123456,\n});\n\nconsole.log(shards);\n\nawait tatum.destroy(); // Destroy Tatum SDK - needed for stopping background jobs\n",
              "install": "yarn add @tatumio/tatum"
            }
          ]
        },
        "security": [
          {
            "X-API-Key": []
          },
          {
            "APIKeyHeader": []
          },
          {
            "APIKeyQuery": []
          }
        ]
      }
    }
  },
  "openapi": "3.1.0",
  "info": {
    "title": "TON API",
    "description": "\nThis API enables HTTP access to TON blockchain - getting accounts and wallets information, looking up blocks and transactions, sending messages to the blockchain, calling get methods of smart contracts, and more.\n\nIn addition to REST API, all methods are available through [JSON-RPC endpoint](#json%20rpc)  with `method` equal to method name and `params` passed as a dictionary.\n\nThe response contains a JSON object, which always has a boolean field `ok` and either `error` or `result`. If `ok` equals true, the request was successful and the result of the query can be found in the `result` field. In case of an unsuccessful request, `ok` equals false and the error is explained in the `error`.\n\nAPI Key should be sent either as `api_key` query parameter or `X-API-Key` header.\n",
    "version": "2.0.0"
  },
  "servers": [
    {
      "url": "https://{network-ton}.gateway.tatum.io",
      "description": "RPC Gateway - Recommended",
      "variables": {
        "network-ton": {
          "default": "ton-mainnet",
          "enum": [
            "ton-mainnet",
            "ton-testnet"
          ]
        }
      }
    },
    {
      "url": "https://api.tatum.io/v3/blockchain/node/{network-ton}",
      "description": "Deprecated",
      "variables": {
        "network-ton": {
          "default": "ton-mainnet",
          "enum": [
            "ton-mainnet",
            "ton-testnet"
          ]
        }
      }
    }
  ],
  "components": {
    "securitySchemes": {
      "X-API-Key": {
        "type": "apiKey",
        "name": "x-api-key",
        "in": "header",
        "description": "Your **API key** is used to identify your account & your plan, including the number of API calls per second and total monthly calls you have.\n\nEach key is for individual use only.\n\nIf you don't have a key already you can [Sign up for a Free Tatum account](https://co.tatum.io/signup) to get two keys (testnet and mainnet), allowing up to 5 API calls per second and 1,000,000 Credits.\n\nFor testing purposes, you can use the following key which only works inside docs and has limited functionality (e.g. you cannot create virtual accounts or notification subscriptions with it):\n* t-66a730ccccfd17001c479705-2f597d14ad7543f289a03418\n\nFor more details on limits and plans, [click here](https://docs.tatum.io/docs/plans-limits).\n"
      },
      "APIKeyHeader": {
        "type": "apiKey",
        "in": "header",
        "name": "X-API-Key"
      },
      "APIKeyQuery": {
        "type": "apiKey",
        "in": "query",
        "name": "api_key"
      }
    },
    "schemas": {
      "TonResponse": {
        "properties": {
          "ok": {
            "type": "boolean",
            "title": "Ok"
          },
          "result": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "items": {},
                "type": "array"
              },
              {
                "type": "object"
              }
            ],
            "title": "Result"
          },
          "error": {
            "type": "string",
            "title": "Error"
          },
          "code": {
            "type": "integer",
            "title": "Code"
          }
        },
        "type": "object",
        "required": [
          "ok"
        ],
        "title": "TonResponse"
      }
    }
  }
}
```